com.pivotal.gemfirexd.internal.client

## Class ClientXid

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.ClientXid

All Implemented Interfaces:
  Xid

    public class ClientXid
    extends Object
    implements Xid

### Field Summary

Fields
`static int` `MAXBQUALSIZE`
`static int` `MAXGTRIDSIZE`

### Constructor Summary

Constructors
Constructor and Description
`ClientXid()`
`ClientXid(int formatID, byte[] gtrid, byte[] bqual)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`int` `getBqualLength()`
`byte[]` `getBranchQualifier()`
`byte[]` `getData()`
`int` `getFormatId()`
`byte[]` `getGlobalTransactionId()`
`int` `getGtridLength()`
`int` `hashCode()`
`void` `setBranchQualifier(byte[] qual)`
`void` `setFormatID(int formatID)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAXGTRIDSIZE

    public static final int MAXGTRIDSIZE

See Also:
  Constant Field Values

#### MAXBQUALSIZE

    public static final int MAXBQUALSIZE

See Also:
  Constant Field Values

### Constructor Detail

#### ClientXid

    public ClientXid()

#### ClientXid

    public ClientXid(int formatID,
             byte[] gtrid,
             byte[] bqual)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getBranchQualifier

    public byte[] getBranchQualifier()

Specified by:
  `getBranchQualifier` in interface `Xid`

#### setBranchQualifier

    public void setBranchQualifier(byte[] qual)

#### getFormatId

    public int getFormatId()

Specified by:
  `getFormatId` in interface `Xid`

#### setFormatID

    public void setFormatID(int formatID)

#### getGlobalTransactionId

    public byte[] getGlobalTransactionId()

Specified by:
  `getGlobalTransactionId` in interface `Xid`

#### getData

    public byte[] getData()

#### getGtridLength

    public int getGtridLength()

#### getBqualLength

    public int getBqualLength()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`